## org.apache.catalina.startup
Class ClassLoaderFactory

    java.lang.Object
      org.apache.catalina.startup.ClassLoaderFactory

public final class ClassLoaderFactory
extends java.lang.Object

Utility class for building class loaders for Catalina. The factory method requires the following parameters in order to build a new class loader (with suitable defaults in all cases):

- A set of directories containing unpacked classes (and resources) that should be included in the class loader's repositories.
- A set of directories containing classes and resources in JAR files. Each readable JAR file discovered in these directories will be added to the class loader's repositories.
- `ClassLoader` instance that should become the parent of the new class loader.

Version:
  $Revision: 1.9 $ $Date: 2004/08/26 21:41:12 $
Author:
  Craig R. McClanahan

Constructor Summary
`ClassLoaderFactory()`

Method Summary
`static java.lang.ClassLoader` `createClassLoader(java.io.File[] unpacked, java.io.File[] packed, java.lang.ClassLoader parent)` Create and return a new class loader, based on the configuration defaults and the specified directory paths:
`static int` `getDebug()` Return the debugging detail level.
`static void` `setDebug(int newDebug)` Set the debugging detail level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderFactory

    public ClassLoaderFactory()

Method Detail

### getDebug

    public static int getDebug()

  Return the debugging detail level.

### setDebug

    public static void setDebug(int newDebug)

  Set the debugging detail level.

  Parameters:
    `newDebug` - The new debugging detail level

### createClassLoader

    public static java.lang.ClassLoader createClassLoader(java.io.File[] unpacked,
                                                          java.io.File[] packed,
                                                          java.lang.ClassLoader parent)
                                                   throws java.lang.Exception

  Create and return a new class loader, based on the configuration defaults and the specified directory paths:

  Parameters:
    `unpacked` - Array of pathnames to unpacked directories that should be added to the repositories of the class loader, or `null` for no unpacked directories to be considered
    `packed` - Array of pathnames to directories containing JAR files that should be added to the repositories of the class loader, or `null` for no directories of JAR files to be considered
    `parent` - Parent class loader for the new class loader, or `null` for the system class loader.
  Throws:
    `java.lang.Exception` - if an error occurs constructing the class loader

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.